Package org.apache.sling.caconfig.impl.metadata

# Class AnnotationClassConfigurationMetadataProvider

java.lang.Object
org.apache.sling.caconfig.impl.metadata.AnnotationClassConfigurationMetadataProvider

All Implemented Interfaces:
  `org.apache.sling.caconfig.spi.ConfigurationMetadataProvider`

public class AnnotationClassConfigurationMetadataProvider extends Object implements org.apache.sling.caconfig.spi.ConfigurationMetadataProvider
Detects configuration annotation classes deployed by any bundle via OSGi extender pattern.

## Constructor Summary

Constructors
Constructor
Description
`AnnotationClassConfigurationMetadataProvider()`

## Method Summary

Modifier and Type
Method
Description
`org.apache.sling.caconfig.spi.metadata.ConfigurationMetadata`
`getConfigurationMetadata(String configName)`
`@NotNull SortedSet<String>`
`getConfigurationNames()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AnnotationClassConfigurationMetadataProvider

public AnnotationClassConfigurationMetadataProvider()

## Method Details

### getConfigurationNames

@NotNull public @NotNull SortedSet<String> getConfigurationNames()

Specified by:
  `getConfigurationNames` in interface `org.apache.sling.caconfig.spi.ConfigurationMetadataProvider`

### getConfigurationMetadata

public org.apache.sling.caconfig.spi.metadata.ConfigurationMetadata getConfigurationMetadata(String configName)

Specified by:
  `getConfigurationMetadata` in interface `org.apache.sling.caconfig.spi.ConfigurationMetadataProvider`